---
layout: docs
page_title: 'nomad acl role create command reference'
description: |
    The `nomad acl role create` command creates an access control list (ACL) role. Set name, description, and associated policy.
---

# `nomad acl role create` command reference

The `acl role create` command is used to create new ACL Roles.

## Usage

```plaintext
nomad acl role create [options]
```

The `acl role create` command requires the correct setting of the create options
via flags detailed below.

## General options

@include 'general_options_no_namespace.mdx'

## Create options

- `-name`: Sets the human-readable name for the ACL Role. It is required and
  can contain alphanumeric characters and dashes. This name must be unique and
  must not exceed 128 characters.

- `-description`: A free form text description of the role that must not exceed
  256 characters.

- `-policy`: Specifies a policy to associate with the role identified by their
  name. This flag can be specified multiple times and must be specified at
  least once.

- `-json`: Output the ACL role in a JSON format.

- `-t`: Format and display the ACL role using a Go template.

## Examples

Create a new ACL Role:

```shell-session
$ nomad acl role create -name="example-acl-role" -policy=example-acl-policy
ID           = a53b0095-c28a-6181-0586-807b82e665e4
Name         = example-acl-role
Description  = <none>
Policies     = example-acl-policy
Create Index = 71
Modify Index = 71
```
